---
title: Get task template list
slug: get-task-template-list
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "PnSPWos3qUnbqIT1tfL3p",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/task/templates",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/task/templates"
      }
    ],
    "name": "Get task template list",
    "description": "Returns a paginated list of task templates with basic information.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/xml"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "version",
          "type": "integer",
          "description": "<p>Filter data by given timestamp (WHERE table.version > </p><div></div>).<p></p>",
          "default": 0,
          "pattern": "\\d+"
        },
        {
          "kind": "optional",
          "name": "page",
          "type": "integer",
          "description": "Page number.",
          "default": 1,
          "pattern": "\\d+"
        },
        {
          "kind": "optional",
          "name": "items",
          "type": "integer",
          "description": "<p>Items per page 100/200/300.</p>",
          "default": 100,
          "pattern": "(100|200|300)"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "subExamples": [
          {
            "label": "GENERATED",
            "code": "// Returned when successful\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"title\": \"\",\n      \"guid\": \"\",\n      \"systemId\": \"\"\n    }\n  ]\n}"
          },
          {
            "label": "default",
            "code": "// Task templates list example\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"title\": \"Test task template title\",\n      \"guid\": \"bb11c223-34de-455f-66g7-h7i8899j0011\",\n      \"systemId\": \"TT001\"\n    }\n  ]\n}"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "next_page",
                "kind": "optional",
                "type": "integer",
                "description": "0 if no more pages exist"
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": "Task template title"
                  },
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": "Unique identifier generated by Frontu"
                  },
                  {
                    "name": "systemId",
                    "kind": "optional",
                    "type": "string",
                    "nullable": true,
                    "description": "External system identifier"
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "5QEQ7AHomNUWIXI7wztNF",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://dev1.frontu.com//client/api/v2/task/templates?version=integer&page=1&items=100' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "ku58BNiPmqBP4HGYziLQb",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/task/templates?version=integer&page=1&items=100\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "YV8oR3WmtBdCDLOi6oAg6",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/task/templates?version=integer&page=1&items=100\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "Pmf6p1ZK1DMLeh6i05IL_",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/task/templates?version=integer&page=1&items=100\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "5QEQ7AHomNUWIXI7wztNF"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"title\": \"\",\n      \"guid\": \"\",\n      \"systemId\": \"\"\n    }\n  ]\n}",
          "subExamples": [
            {
              "label": "GENERATED",
              "code": "// Returned when successful\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"title\": \"\",\n      \"guid\": \"\",\n      \"systemId\": \"\"\n    }\n  ]\n}"
            },
            {
              "label": "default",
              "code": "// Task templates list example\n{\n  \"next_page\": 0,\n  \"items\": [\n    {\n      \"title\": \"Test task template title\",\n      \"guid\": \"bb11c223-34de-455f-66g7-h7i8899j0011\",\n      \"systemId\": \"TT001\"\n    }\n  ]\n}"
            }
          ]
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}